scala.collection.parallel.ParIterableLike

# ScanLeaf

#### case class ScanLeaf[U >: T](pit: IterableSplitter[U], op: (U, U) ⇒ U, from: Int, len: Int, prev: Option[ScanLeaf[U]], acc: U) extends ScanTree[U] with scala.Product with Serializable

Attributes
  protected[this]
Source
  ParIterableLike.scala

Linear Supertypes
Serializable, java.io.Serializable, scala.Product, Equals, ScanTree[U], AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ScanLeaf
2. Serializable
3. Serializable
4. Product
5. Equals
6. ScanTree
7. AnyRef
8. Any

Implicitly

1. by CollectionsHaveToParArray
2. by any2stringadd
3. by StringFormat
4. by Ensuring
5. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new ScanLeaf(pit: IterableSplitter[U], op: (U, U) ⇒ U, from: Int, len: Int, prev: Option[ScanLeaf[U]], acc: U)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from ScanLeaf[U] to any2stringadd[ScanLeaf[U]] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (ScanLeaf[U], B)

   Implicit information
     This member is added by an implicit conversion from ScanLeaf[U] to ArrowAssoc[ScanLeaf[U]] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### var acc: U

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def beginsAt: Int

   Definition Classes
     ScanLeaf → ScanTree

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### def ensuring(cond: (ScanLeaf[U]) ⇒ Boolean, msg: ⇒ Any): ScanLeaf[U]

    Implicit information
      This member is added by an implicit conversion from ScanLeaf[U] to Ensuring[ScanLeaf[U]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: (ScanLeaf[U]) ⇒ Boolean): ScanLeaf[U]

    Implicit information
      This member is added by an implicit conversion from ScanLeaf[U] to Ensuring[ScanLeaf[U]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: Boolean, msg: ⇒ Any): ScanLeaf[U]

    Implicit information
      This member is added by an implicit conversion from ScanLeaf[U] to Ensuring[ScanLeaf[U]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: Boolean): ScanLeaf[U]

    Implicit information
      This member is added by an implicit conversion from ScanLeaf[U] to Ensuring[ScanLeaf[U]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from ScanLeaf[U] to StringFormat[ScanLeaf[U]] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

17. #### val from: Int

18. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

19. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

20. #### def leftmost: ScanLeaf[U]

    Definition Classes
      ScanLeaf → ScanTree

21. #### val len: Int

22. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

23. #### final def notify(): Unit

    Definition Classes
      AnyRef

24. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

25. #### val op: (U, U) ⇒ U

26. #### val pit: IterableSplitter[U]

27. #### var prev: Option[ScanLeaf[U]]

28. #### def print(depth: Int): Unit

    Definition Classes
      ScanLeaf → ScanTree

29. #### def pushdown(v: U): Unit

    Definition Classes
      ScanLeaf → ScanTree

30. #### def rightmost: ScanLeaf[U]

    Definition Classes
      ScanLeaf → ScanTree

31. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

32. #### def toParArray: ParArray[T]

    Implicit information
      This member is added by an implicit conversion from ScanLeaf[U] to CollectionsHaveToParArray[ScanLeaf[U], T] performed by method CollectionsHaveToParArray in scala.collection.parallel. This conversion will take place only if an implicit value of type (ScanLeaf[U]) ⇒ GenTraversableOnce[T] is in scope.
    Definition Classes
      CollectionsHaveToParArray

33. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

36. #### def →[B](y: B): (ScanLeaf[U], B)

    Implicit information
      This member is added by an implicit conversion from ScanLeaf[U] to ArrowAssoc[ScanLeaf[U]] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from scala.Product

### Inherited from Equals

### Inherited from ScanTree[U]

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion CollectionsHaveToParArray from ScanLeaf[U] to CollectionsHaveToParArray[ScanLeaf[U], T]

### Inherited by implicit conversion any2stringadd from ScanLeaf[U] to any2stringadd[ScanLeaf[U]]

### Inherited by implicit conversion StringFormat from ScanLeaf[U] to StringFormat[ScanLeaf[U]]

### Inherited by implicit conversion Ensuring from ScanLeaf[U] to Ensuring[ScanLeaf[U]]

### Inherited by implicit conversion ArrowAssoc from ScanLeaf[U] to ArrowAssoc[ScanLeaf[U]]

### Ungrouped